Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78590 - Error trying to activate ethernet eth0
Summary: Error trying to activate ethernet eth0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: athlon
OS: Linux
high
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-26 01:35 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-05 08:30:11 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-26 01:35:43 UTC
Description of Problem:
Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 58,
in network
    self.prefix()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 37,
in prefix
    self._netmask = re.match("NETMASK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'


Version-Release number of selected component (if applicable):


How Reproducible:It repeats each time activation is attempted.


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Mihai Ibanescu 2002-11-26 13:02:59 UTC
Changing to the right product.
Please specify an OS version for this bug.


Note You need to log in before you can comment on or make changes to this bug.